> For the complete documentation index, see [llms.txt](https://docs.conanjs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.conanjs.io/api/conan-state-classes/connectedstate.md).

# ConnectedState

This interface contains all the information required to access a Conan state. It is the state components use once they are connected:

```typescript
export interface ConnectedState<DATA, ACTIONS> {
    data: DATA,
    actions: ACTIONS,
    monitorInfo: MonitorInfo
}
```

�

| Property    | Description                                                                                                                         |
| ----------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| data        | <p><strong>Type:</strong>  <code>DATA</code> </p><p>the data part of the Conan state</p>                                            |
| actions     | <p><strong>Type:</strong>  <code>ACTIONS</code></p><p><code>The Conan state actions</code></p>                                      |
| monitorInfo | <p><strong>Type:</strong>  <code>MonitorInfo</code> </p><p><code>The MonitorInfo object associated with this Conan state</code></p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.conanjs.io/api/conan-state-classes/connectedstate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
